<?php

require_once('auth.php');
require_once('db.php');

if ($_SESSION['permissions'] != 0) {
    echo "Nie masz uprawnie do tego zasobu.";
    require_once('tail.php');
    exit(0);
}

?>
        
<html>
  <head>
    <title>Osoby</title>
    <meta charset="utf-8">
  </head>
  <body>

    <table border=1 cellpadding=10 cellspacing=0>
      <thead style="background-color: #a0a0a0">
        <tr>
          <td>ID</td><td>Imi</td><td>Nazwisko</td><td>Pe</td><td>Nr telefonu</td><td>Adres e-mail</td><td>Zna jzyki programowania</td><td>Zwiedzi kraje</td><td>Uwagi</td><td></td>
        </tr> 
      </thead>
      <tbody>
<?php
  $sth = $db->prepare('select * from osoby order by nazwisko');
  $sth->execute();
  while ($row = $sth->fetch(PDO::FETCH_ASSOC)) {
    $osoba_id = $row['id'];
    $imie = $row['imie'];
    $nazwisko = $row['nazwisko'];
    $plec = $row['plec'];
    $nrtelefonu = $row['nrtelefonu'];
    $email = $row['email'];
    $uwagi = $row['uwagi'];
    
    
    $jezyki = array();
    $sth2 = $db->prepare(sprintf('select * from jezyki where id in 
        (select jezyk from osoby_jezyki where osoba = %d) order by jezyk', $osoba_id));
    $sth2->execute();
    while ($row2 = $sth2->fetch(PDO::FETCH_ASSOC)) {
        $jezyki[] = $row2['jezyk'];
    }
    
    
    $kraje = array();
    $sth2 = $db->prepare(sprintf('select * from kraje where id in 
        (select kraj from osoby_kraje where osoba = %d) order by kraj', $osoba_id));
    $sth2->execute();
    while ($row2 = $sth2->fetch(PDO::FETCH_ASSOC)) {
        $kraje[] = $row2['kraj'];
    }

    $usun = sprintf('<a href="osoby-delete.php?id=%d">Usu</a>', $osoba_id);
    $edycja = sprintf('<a href="osoby-edit.php?id=%d">Edycja</a>', $osoba_id);
    
    printf("<tr><td>%d</td><td>%s</td><td>%s</td><td>%s</td><td>%s</td><td>%s</td><td>%s</td><td>%s</td><td>%s</td><td>%s</td></tr>\n", 
      $osoba_id, $imie, $nazwisko, $plec, $nrtelefonu, $email, implode(', ', $jezyki), implode(', ', $kraje), $uwagi, $usun . ' &nbsp; ' . $edycja);
  }
?>
      </tbody>
    </table>
         
   <?php require_once('tail.php'); ?>
  </body>
</html> 
        
