<?php

require_once('auth.php');
require_once('db.php');

if ($_SESSION['permissions'] != 0) {
    echo "Nie masz uprawnie do tego zasobu.";
    require_once('tail.php');
    exit(0);
}

$auth_permisions = array(
    0 => 'Administrator',
    1 => 'Uytkownik'
);

?>
        
<html>
  <head>
    <title>Uytkownicy</title>
    <meta charset="utf-8">
  </head>
  <body>

    <table border=1 cellpadding=10 cellspacing=0>
      <thead style="background-color: #a0a0a0">
        <tr>
          <td>ID</td><td>Nazwa uytkownika</td><td>Uprawnienia</td><td></td>
        </tr> 
      </thead>
      <tbody>
<?php
  $sth = $db->prepare('select * from auth order by username');
  $sth->execute();
  while ($row = $sth->fetch(PDO::FETCH_ASSOC)) {
    if (array_key_exists($row['permissions'], $auth_permisions))
        $permissions = $auth_permisions[$row['permissions']];
    else
        $permissions = 'Nieokrelone';

    $usun = sprintf('<a href="auth-delete.php?id=%d">Usu</a>', $row['id']);
    $edycja = sprintf('<a href="auth-edit.php?id=%d">Edycja</a>', $row['id']);
    
    printf("<tr><td>%d</td><td>%s</td><td>%s</td><td>%s</td></tr>\n", 
      $row['id'], $row['username'], $permissions, $usun . ' &nbsp; ' . $edycja);
  }
?>
      </tbody>
    </table>
         
   <?php require_once('tail.php'); ?>
  </body>
</html> 
        
