<?php

require_once('auth.php');

if ($_SESSION['permissions'] != 0) {
    echo "Nie masz uprawnie do tego zasobu.";
    require_once('tail.php');
    exit(0);
}

//print_r($_POST);

$id = $_POST['id'];

if (! (is_numeric($id) && (0 < $id))) {
    echo "ERROR: Niepoprawny parametr";
    exit(0);
}

require_once('db.php');
        
$sth = $db->prepare('update osoby set imie = ?, nazwisko = ?, plec = ?, uwagi = ? where id = ?');
$sth->execute(array($_POST['imie'], $_POST['nazwisko'], $_POST['plec'], $_POST['uwagi'], $id));

     
$db->exec(sprintf('delete from osoby_jezyki where osoba = %d', $id)); 
foreach ($_POST['jp'] as $jezyk) {
    $sth = $db->prepare('insert into osoby_jezyki values(?, ?)');
    $sth->execute(array($id, $jezyk));
}
     
$db->exec(sprintf('delete from osoby_kraje where osoba = %d', $id)); 
foreach ($_POST['kraj'] as $kraj) {
    $sth = $db->prepare('insert into osoby_kraje values(?, ?)');
    $sth->execute(array($id, $kraj));
}
        
$db = NULL;

echo "Dane zostay zapisane";

?>


<?php require_once('tail.php'); ?>
